using System;
using UnityEngine;

namespace I2.Loc
{
	public class LocalizeTarget_NGUI_Button : LocalizeTarget<UIButton>
	{
		static LocalizeTarget_NGUI_Button()
		{
			LocalizeTarget_NGUI_Button.AutoRegister();
		}

		[RuntimeInitializeOnLoadMethod(RuntimeInitializeLoadType.BeforeSceneLoad)]
		private static void AutoRegister()
		{
			LocalizationManager.RegisterTarget(new LocalizeTargetDesc_Type<UIButton, LocalizeTarget_NGUI_Button>
			{
				Name = "NGUI UIButton",
				Priority = 30
			});
		}

		public override eTermType GetPrimaryTermType(Localize cmp)
		{
			return eTermType.Text;
		}

		public override eTermType GetSecondaryTermType(Localize cmp)
		{
			return eTermType.UIAtlas;
		}

		public override bool CanUseSecondaryTerm()
		{
			return false;
		}

		public override bool AllowMainTermToBeRTL()
		{
			return false;
		}

		public override bool AllowSecondTermToBeRTL()
		{
			return false;
		}

		public override void GetFinalTerms(Localize cmp, string Main, string Secondary, out string primaryTerm, out string secondaryTerm)
		{
			primaryTerm = ((!this.mTarget) ? null : this.mTarget.normalSprite);
			secondaryTerm = null;
		}

		public override void DoLocalize(Localize cmp, string mainTranslation, string secondaryTranslation)
		{
			this.mTarget.normalSprite = mainTranslation;
		}
	}
}
